Groovy Documentation

## groovy.util
[Java] Class XmlNodePrinter.NamespaceContext

    java.lang.Object
      groovy.util.XmlNodePrinter.NamespaceContext

    protected class XmlNodePrinter.NamespaceContext

Constructor Summary
`XmlNodePrinter.NamespaceContext()`
`XmlNodePrinter.NamespaceContext(NamespaceContext context)`

Method Summary
`java.lang.String` | `getNamespace(java.lang.String prefix)`
`boolean` | `isPrefixRegistered(java.lang.String prefix, java.lang.String uri)`
`void` | `registerNamespacePrefix(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext()

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext(NamespaceContext context)

Method Detail

### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)

### isPrefixRegistered

    public boolean isPrefixRegistered(java.lang.String prefix, java.lang.String uri)

### registerNamespacePrefix

    public void registerNamespacePrefix(java.lang.String prefix, java.lang.String uri)

Groovy Documentation